Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.schema
Class SOMAttributeGroup

    java.lang.Object
      |
      +--com.bea.schema.SOMObject
            |
            +--com.bea.schema.SOMAttributeGroup

public class SOMAttributeGroup
extends SOMObject
implements SOMReference

<attributeGroup> The XML representation for an attribute group definition schema component is an <attributeGroup> element information item. It provides for naming a group of attribute declarations and an attribute wildcard for use by reference in the XML representation of complex type definitions and other attribute group definitions.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`` | `SOMAttributeGroup()`
`protected` | `SOMAttributeGroup(org.xml.sax.Attributes attrs, SOMObject parent)`
`` | `SOMAttributeGroup(SOMAttributeGroup ref, SOMObject parent)` Construct an <attributeGroup> reference
`` | `SOMAttributeGroup(java.lang.String name, SOMObject parent)`

Method Summary
`SOMAttribute` | `add(SOMAttribute attribute)` add an <attribute> sub-element.
`SOMAttributeGroup` | `add(SOMAttributeGroup attributeGroup)` add an <attributeGroup> sub-element.
`SOMAnnotation` | `addAnnotation(SOMAnnotation annotation)` add an annotation.
`SOMAttribute` | `addAttribute(java.lang.String name)` add an new <attribute> sub-element.
`SOMAttributeGroup` | `addAttributeGroup(java.lang.String name)` add an new <attributeGroup> sub-element.
`protected SOMObject` | `addChild(java.lang.String tagName, org.xml.sax.Attributes attrs)`
`boolean` | `contains(SOMObject child)` Determine if an object is child of this element.
`java.util.Iterator` | `getAttributeElements()` get the iterator over the attribute elements
`java.util.Map` | `getAttributes(boolean getAll)` retrieve the attributes for this schema element.
`java.lang.String` | `getID()`
`java.lang.String` | `getName()` get the "name" attribute.
`SOMReference` | `getRef()` get the "ref" attribute.
`java.lang.String` | `getRefName()`
`boolean` | `isRef()` Is this element a reference to another element.
`java.util.Iterator` | `listAttributesExtended()` iterator over all attribute elements.
`SOMAttribute` | `remove(SOMAttribute child)` remove an attribute child.
`SOMAttributeGroup` | `remove(SOMAttributeGroup child)` remove an attribute child.
`SOMAnnotation` | `removeAnnotation()` set the annotation at this group to null.
`void` | `setName(java.lang.String name)` set the "name" attribute.
`void` | `setRef(SOMReference ref)` set the "ref" attribute.
`void` | `setRef(SOMUnresolvedReference attrGrp)` set the "ref" attribute.
`void` | `toXML(java.io.Writer rtn, int indent)`

Methods inherited from class com.bea.schema.SOMObject
`addPrefixMapping, attributesToXML, collectEffectivePrefixMappings, doIndent, getContainmentXPath, getEffectivePrefixMappings, getID_UQ, getParent, getParentName, getParentSchema, getPrefixForTargetNamespace, getTargetNamespace, getURIForPrefix, isCircularReference, isSchemaChild, namespacePrefixesToXML, removeNamespaceQualifier, removePrefixMapping, setIndent, setParent, toString, toXML, toXML, toXML, trace, trace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SOMAttributeGroup

    public SOMAttributeGroup()

### SOMAttributeGroup

    public SOMAttributeGroup(java.lang.String name,
                             SOMObject parent)

### SOMAttributeGroup

    public SOMAttributeGroup(SOMAttributeGroup ref,
                             SOMObject parent)

  Construct an <attributeGroup> reference

  Parameters:
    `ref` - <attributeGroup ref="...">

### SOMAttributeGroup

    protected SOMAttributeGroup(org.xml.sax.Attributes attrs,
                                SOMObject parent)

Method Detail

### setName

    public void setName(java.lang.String name)

  set the "name" attribute. The actual name of the attributeGroup. For example, <attributeGroup name="myAttributes">

  Parameters:
    `name` - the attributeGroup name

### setRef

    public void setRef(SOMReference ref)

  set the "ref" attribute. For example, <attributeGroup ref="myAttributes"> A reference to another attributeGroup. This attributeGroup inherits all the attributes of the reference attributeGroup.
  Specified by:
    setRef in interface SOMReference

  Parameters:
    `attrGrp` - the attributeGroup to reference

### setRef

    public void setRef(SOMUnresolvedReference attrGrp)

  set the "ref" attribute. For example, <attributeGroup ref="myAttributes"> A reference to another attributeGroup. This attributeGroup inherits all the attributes of the reference attributeGroup.

  Parameters:
    `attrGrp` - the attributeGroup to reference

### getName

    public java.lang.String getName()

  get the "name" attribute. The actual name of the attributeGroup. For example, <attributeGroup name="myAttributes">
  Specified by:
    getName in interface SOMReference

  Parameters:
    `name` - the attributeGroup name

### isRef

    public boolean isRef()

  Is this element a reference to another element. If the getRef method would return null, this method will return false. Otherwise, it will return true.

  Returns:
    true if getRef method does not return null

### getRef

    public SOMReference getRef()

  get the "ref" attribute. For example, <attributeGroup ref="myAttributes"> A reference to another attributeGroup. This attributeGroup inherits all the attributes of the reference attributeGroup.

### getRefName

    public java.lang.String getRefName()

### getID

    public java.lang.String getID()

  Specified by:
    getID in interface SOMReference

  Overrides:
    getID in class SOMObject

### addChild

    protected SOMObject addChild(java.lang.String tagName,
                                 org.xml.sax.Attributes attrs)
                          throws org.xml.sax.SAXException

  Overrides:
    addChild in class SOMObject

### addAttribute

    public SOMAttribute addAttribute(java.lang.String name)

  add an new <attribute> sub-element. Creates a new SOMAttribute and adds it to this AttributeGroup

  For example:

       <attributeGroup name="myAttrGrp>
         <attribute name="style" type="xsd:string">
       <attributeGroup/>

  Parameters:
    `name` - the attribute name
  Returns:
    the added attribute

### addAttributeGroup

    public SOMAttributeGroup addAttributeGroup(java.lang.String name)

  add an new <attributeGroup> sub-element. Creates a new SOMAttributeGroup and adds it to this AttributeGroup

  Parameters:
    `name` - the attribute name
  Returns:
    the added attribute

### add

    public SOMAttribute add(SOMAttribute attribute)

  add an <attribute> sub-element. If the attribute to be added is a member of another tree, it will be removed and then added to this attributeGroup.

  For example:

       <attributeGroup name="myAttrGrp>
         <attribute name="style" type="xsd:string">
       <attributeGroup/>

  Parameters:
    `attribute` - the attribute reference to be added
  Returns:
    the added attribute

### add

    public SOMAttributeGroup add(SOMAttributeGroup attributeGroup)

  add an <attributeGroup> sub-element. If the attributeGroup to be added is a member of another tree, it will be removed and then added to this attributeGroup.

  For example:

       <attributeGroup name="anotherAttrGrp>
         <attributeGroup ref="myAttrGrp">
       <attributeGroup/>

  Parameters:
    `attributeGroup` - the attributeGroup reference to be added
  Returns:
    the added attributeGroup

### addAnnotation

    public SOMAnnotation addAnnotation(SOMAnnotation annotation)

  add an annotation. If the annotation exists in another tree, it will first be removed and then added to this tree.

  Parameters:
    `annotation` - a previously created annotation
  Returns:
    the annotation that was added.

### removeAnnotation

    public SOMAnnotation removeAnnotation()

  set the annotation at this group to null.

  Returns:
    the removed annotation, or null if none was present

### remove

    public SOMAttribute remove(SOMAttribute child)

  remove an attribute child. Removes an object from this tree that was previously added with one of the add() methods.

  Parameters:
    `child` - the object that it is be removed
  Returns:
    the object removed, or null if the object is not a sub-element of this group type

### remove

    public SOMAttributeGroup remove(SOMAttributeGroup child)

  remove an attribute child. Removes an object from this tree that was previously added with one of the add() methods.

  Parameters:
    `child` - the object that it is be removed
  Returns:
    the object removed, or null if the object is not a sub-element of this group type

### contains

    public boolean contains(SOMObject child)

  Determine if an object is child of this element.
  Specified by:
    contains in interface SOMReference

  Parameters:
    `child` - the object in question
  Returns:
    true if the child is contained within this structure

### getAttributeElements

    public java.util.Iterator getAttributeElements()

  get the iterator over the attribute elements

  Returns:
    an iterator over the attributes

### listAttributesExtended

    public java.util.Iterator listAttributesExtended()

  iterator over all attribute elements. Searches to the bottom of the tree to find all attributes that make up the extended set of attributes for this group. This includes referenced groups and attributes in attributeGroups that make up the children of this attributeGroup.

  Returns:
    list of SOMAttribute(s)

### getAttributes

    public java.util.Map getAttributes(boolean getAll)

  retrieve the attributes for this schema element. If getAll is false, only the attributes that are not set to their default value are returned. If getAll is true, all possible attributes for this element will be returned.

  Parameters:
    `getAll` - get all attributes
  Returns:
    a Hashtable of attributes, where the attribute name and value are stored as strings.

### toXML

    public void toXML(java.io.Writer rtn,
                      int indent)
               throws java.io.IOException

  Overrides:
    toXML in class SOMObject

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)